Bug 1386026 - "yum install python34-pdfminer" does not install python34-six or python34-chardet
Summary: "yum install python34-pdfminer" does not install python34-six or python34-ch...
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-pdfminer
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Ben Rosser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-18 01:45 UTC by Ira Byerly
Modified: 2016-11-07 20:19 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-10-31 07:35:18 UTC


Attachments (Terms of Use)

Description Ira Byerly 2016-10-18 01:45:06 UTC
Description of problem:

The pdf2txt command is more difficult to install than expected.  "yum install  python34-pdfminer" does not install python34-six or python34-chardet.  The pdf2txt command does not work without them.

Version-Release number of selected component (if applicable):

EPEL 7

(The problem was found on an x86_64 RHEL 7.2 Workstation but seems like it is likely to apply to any RHEL 7 / CentOS 7 system.)

How reproducible:

Consistently.

Steps to Reproduce:

1. Check that python34-pdfminer, python34-six, or python34-chardet are not already installed.  (I would assume that if they are you could just remove them.)
2. Find or create a sample pdf containing text; call it /tmp/my.pdf
3. yum install python34-pdfminer
4. pdf2txt /tmp/my.pdf


Actual results:

Traceback (most recent call last):
  File "/usr/bin/pdf2txt", line 7, in <module>
    import six

Expected results:

The extracted text of the pdf should be displayed.

Additional info:

After installing python34-six it gets a little farther but fails again,

$ pdf2txt /tmp/my.pdf 
Traceback (most recent call last):
  File "/usr/bin/pdf2txt", line 10, in <module>
    import pdfminer.high_level
  File "/usr/lib/python3.4/site-packages/pdfminer/high_level.py", line 10, in <module>
    from .pdfdocument import PDFDocument
  File "/usr/lib/python3.4/site-packages/pdfminer/pdfdocument.py", line 17, in <module>
    from .psparser import PSEOF
  File "/usr/lib/python3.4/site-packages/pdfminer/psparser.py", line 20, in <module>
    from .utils import choplist
  File "/usr/lib/python3.4/site-packages/pdfminer/utils.py", line 12, in <module>
    import chardet  # For str encoding detection in Py3

After installing python34-chardet it works properly.

Comment 1 Fedora Update System 2016-10-24 03:18:39 UTC
python-pdfminer-20160614-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5d629e2f26

Comment 2 Fedora Update System 2016-10-24 03:51:42 UTC
python-pdfminer-20160614-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-486fd0d636

Comment 3 Fedora Update System 2016-10-24 04:52:55 UTC
python-pdfminer-20160614-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9a8d7d27a4

Comment 4 Fedora Update System 2016-10-31 07:35:18 UTC
python-pdfminer-20160614-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-11-01 13:21:47 UTC
python-pdfminer-20160614-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-11-07 20:19:47 UTC
python-pdfminer-20160614-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.